TOC overflow on AIX

Michael Veksler VEKSLER@il.ibm.com
Wed Sep 12 01:35:00 GMT 2001


> I'm trying to  compile gcc 3.0.1 on AIX 4.3.0_08. I'm getting a TOC
> overflow error. Using a  packaged binary version of gcc 2.9.3 to compile
> with binutils  2.11.2.

Adding -Wl,-bbigtoc to gcc at link time always worked for me (AIX 4.3.3.0).

> A fix for APAR IX75823 (OVERFLOW DURING LINK  WHEN USING GCC AND
-BBIGTOC)
> is available from IBM Customer Support and from its
>  techsupport.services.ibm.com  website as PTF U455193.

Never used this. I don't have root permissions.

> I've tried this  however I'm still getting the same message.
> Can anyone offer suggestions as to  what else to do?

Did you by any chance compile GNU ld from binutils 2.11.2 ?
GCC does not support GNU ld on AIX (maybe GNU ld is not supported
on AIX at all).





More information about the Gcc-help mailing list